cURL
curl https://api.portkey.ai/v1/threads/thread_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2" \
-X DELETEfrom portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
response = client.beta.threads.delete("thread_abc123")
print(response)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const response = await client.beta.threads.del("thread_abc123");
console.log(response);
}
main();
{
"id": "<string>",
"deleted": true,
"object": "thread.deleted"
}Delete Thread
DELETE
/
threads
/
{thread_id}
cURL
curl https://api.portkey.ai/v1/threads/thread_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2" \
-X DELETEfrom portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
response = client.beta.threads.delete("thread_abc123")
print(response)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const response = await client.beta.threads.del("thread_abc123");
console.log(response);
}
main();
{
"id": "<string>",
"deleted": true,
"object": "thread.deleted"
}Authorizations
Portkey-Key & Virtual-KeyPortkey-Key & Provider-Auth & Provider-NamePortkey-Key & ConfigPortkey-Key & Provider-Auth & Provider-Name & Custom-Host
Path Parameters
The ID of the thread to delete.
Last modified on April 23, 2026
Was this page helpful?
⌘I

